<?php

declare(strict_types=1);

namespace Seka\Vzdelavanie\Dtos\Kniznica;

use Kalnoy\Nestedset\Collection;
use Seka\Vzdelavanie\Models\Kniznica\Sekcia;

/**
 * Class SekciaCollectionDTO
 *
 * @package Seka\Vzdelavanie\Dtos\Kniznica
 */
final class SekciaCollectionDTO
{
    /**
     * @param \Kalnoy\Nestedset\Collection $collection
     *
     * @return array
     */
    public static function fromCollection(Collection $collection): array
    {
        $_collection = $collection->map(function (Sekcia $sekcia) {
            return new SekciaDTO($sekcia->toArray());
        });

        return $_collection->toArray();
    }
}
